/*
[Big Sound]
 Microphone sound sensor module
 
 For sound detection Module has two outputs:
 
 AO, analog output, real-time output voltage signal of the microphone
 DO, when the sound intensity reaches a certain threshold, the output high and low signal
 
 The threshold-sensitivity can be adjusted via potentiometer on the sensor 
 
 Wiring Connections:
 Pin + to Arduino 5+
 Pin - to Arduino -
 Pin A0 to Arduino A0 (for analog program)
 Pin D0 to Arduino 3 (for digital program)
 
 Product link:
 http://www.e-gizmo.com/oc/index.php?route=product/product&path=404&product_id=1310
 
 Rewritten by:
 e-Gizmo Mechatronix Central
 September 19,2017
 http://www.e-gizmo.com
 */
 
int pin = 3; // define D0 Sensor Interface
int val = 0;// define numeric variables val
int sensorPin = A0; // select the input pin for the potentiometer
int sensorValue = 0; // variable to store the value coming from the sensor

void setup ()
{
  Serial.begin (9600);
  pinMode (pin, INPUT) ;// output interface D0 is defined sensor
}

void loop ()
{
  val = digitalRead(pin);// digital interface will be assigned a value of pin 3 to read val
  sensorValue = analogRead (sensorPin);
  Serial.print(val);
  Serial.print("  ");

}
